<template>
  <div :class="{product: true, small}">
    <nuxt-link :to="`/shop/product/${product.id}`" class="item item--title">
      <p>{{ product.title }}</p>
    </nuxt-link>
    <p class="item item--price" v-if="!small">{{ product.pivot.product_price | formatPrice }} ت</p>
    <p class="item item--quantity">{{ product.pivot.quantity }}</p>
    <p class="item item--price" v-if="!small">{{ totalPrice | formatPrice }} ت</p>
  </div>
</template>

<script>
import numeral from "numeral";

export default {
  name: "OrderProduct",
  props: {
    product: {
      type: Object,
      required: true
    },
    small: {
      type: Boolean,
      default: false
    }
  },
  filters: {
    formatPrice(val) {
      return numeral(val).format("0,0");
    }
  },
  computed: {
    totalPrice() {
      return this.product.pivot.quantity * this.product.pivot.product_price;
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"


.product
  direction rtl
  display grid 
  grid-template-columns repeat(4, minmax(10rem, 1fr))
  grid-gap $sm
  padding $md $lg
  @media only screen and (max-width 700px)
    grid-template-columns repeat(2, minmax(10rem, 1fr)) 7.5rem minmax(10rem, 1fr)
    padding $md $sm
  &.small
    grid-template-columns minmax(10rem, 3fr) minmax(5rem, 1fr)
</style>